Bug 1291942 - [abrt] kf5-kinit: QXcbWindow::setParent(): kdeinit5 killed by SIGSEGV
[abrt] kf5-kinit: QXcbWindow::setParent(): kdeinit5 killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1291003
Product: Fedora
Classification: Fedora
Component: kf5-kinit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6e7b846bc09d3daa7318aab9a0f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 17:53 EST by Reartes Guillermo
Modified: 2016-01-01 23:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-01 23:34:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.31 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: core_backtrace (15.75 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: dso_list (18.49 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: environ (4.91 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: maps (84.14 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: mountinfo (3.50 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: open_fds (2.44 KB, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-12-15 17:54 EST, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2015-12-15 17:53:59 EST
Version-Release number of selected component:
kf5-kinit-5.16.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'konsole [kdeinit5] --workdir /home/greartes' '' '' '' '' '' '' '' '' '' '' ''
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kdeinit5
global_pid:     3218
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbWindow::setParent at qxcbwindow.cpp:1499
 #1 QWindow::setParent at kernel/qwindow.cpp:614
 #2 QWidgetPrivate::setParent_sys at kernel/qwidget.cpp:10543
 #3 QWidget::setParent at kernel/qwidget.cpp:10398
 #5 QDialogButtonBox::addButton at widgets/qdialogbuttonbox.cpp:761
 #6 KDEPlatformFileDialog::KDEPlatformFileDialog at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:103
 #7 KDEPlatformFileDialogHelper::KDEPlatformFileDialogHelper at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:201
 #8 KdePlatformTheme::createPlatformDialogHelper at ../../../src/platformtheme/kdeplatformtheme.cpp:269
 #9 QDialogPrivate::platformHelper at dialogs/qdialog.cpp:94
 #10 QFileDialogPrivate::platformFileDialogHelper at dialogs/qfiledialog_p.h:112
Comment 1 Reartes Guillermo 2015-12-15 17:54:06 EST
Created attachment 1106232 [details]
File: backtrace
Comment 2 Reartes Guillermo 2015-12-15 17:54:08 EST
Created attachment 1106233 [details]
File: cgroup
Comment 3 Reartes Guillermo 2015-12-15 17:54:11 EST
Created attachment 1106234 [details]
File: core_backtrace
Comment 4 Reartes Guillermo 2015-12-15 17:54:13 EST
Created attachment 1106235 [details]
File: dso_list
Comment 5 Reartes Guillermo 2015-12-15 17:54:15 EST
Created attachment 1106236 [details]
File: environ
Comment 6 Reartes Guillermo 2015-12-15 17:54:18 EST
Created attachment 1106237 [details]
File: exploitable
Comment 7 Reartes Guillermo 2015-12-15 17:54:20 EST
Created attachment 1106238 [details]
File: limits
Comment 8 Reartes Guillermo 2015-12-15 17:54:24 EST
Created attachment 1106239 [details]
File: maps
Comment 9 Reartes Guillermo 2015-12-15 17:54:26 EST
Created attachment 1106240 [details]
File: mountinfo
Comment 10 Reartes Guillermo 2015-12-15 17:54:27 EST
Created attachment 1106241 [details]
File: namespaces
Comment 11 Reartes Guillermo 2015-12-15 17:54:29 EST
Created attachment 1106242 [details]
File: open_fds
Comment 12 Reartes Guillermo 2015-12-15 17:54:31 EST
Created attachment 1106243 [details]
File: proc_pid_status
Comment 13 Yuri 2015-12-16 09:09:11 EST
Another user experienced a similar problem:

during the execution of the save command on a new document

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'kate [kdeinit5]' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kdeinit5
global_pid:     31552
kernel:         4.2.6-301.fc23.x86_64
package:        kf5-kinit-5.16.0-1.fc23
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Rex Dieter 2016-01-01 23:34:31 EST

*** This bug has been marked as a duplicate of bug 1291003 ***

Note You need to log in before you can comment on or make changes to this bug.